class AVLNode {
private:
  double *index;
  int balance;
  AVLNode *llink, *rlink;
public:
  static Store *store;
  inline double *getIndex() const { return index; }
  inline int getBalance() const { return balance; }
  inline double getEntry() const { return *index; }
  inline AVLNode *getLlink() const { return llink; }
  inline AVLNode *getRlink() const { return rlink; }

  inline void setIndex(double *_index) { index = _index; }
//  inline void setEntry(double *_entry) { entry = _entry; }
  inline void setBalance(int _balance) { balance = _balance; }
  inline void setLlink(AVLNode *_llink) { llink = _llink; }
  inline void setRlink(AVLNode *_rlink) { rlink = _rlink; }

  AVLNode(double *_index);
  ~AVLNode();
};

class AVLTree {
private:
  AVLNode *root;
  int height(AVLNode *p);
  void destroy(AVLNode *p);
public:
  int height();
  AVLNode *leftRotation(AVLNode *p);
  AVLNode *rightRotation(AVLNode *p);

  AVLNode *insert(double *index, double entry);
  double *search(double entry);

  AVLTree(Store *_store) {
    root = NULL;
    AVLNode::store = _store;
  }
  ~AVLTree() {
    destroy(root);
  }
};

