#ifndef __CLUSTER_HPP
#define __CLUSTER_HPP

class FullState;

class ClusterStackItem {
public:
  FullState *inState;
  double weight;
};

class ClusterStack {
  long height;
  FastDynaArray<ClusterStackItem> stack;
public:
  ClusterStack() { height = 0; stack.setLength(1024); }
  ~ClusterStack() {}
  inline void push(FullState *inState, double weight) {
    stack.check(height);
    stack[height].inState = inState;
    stack[height].weight = weight;
    height++;
  }
  inline void pop(FullState *&inState, double &weight) {
    assert(height>0);
    height--;
    inState = stack[height].inState;
    weight = stack[height].weight;
  }
  inline long getHeight() { return height; }
};
#endif






