%% DNAmaca model generated by Pepa2Dnamaca from an original .pepa file
%% PEPA parser by Stephen Gilmore, DNAmaca generation by Jeremy Bradley: 2003


\model {
	%% Alter the rate constant(s) below as desired:
	\constant{PEPA_m}{(0.2)}
	\constant{PEPA_r}{(0.4)}
	\constant{PEPA_s}{(2.4)}
	
	
	\statevector {
		\type{short} {
			Person1, Person6, Person5, Person4, Person3, Person2,
			Person1_1, Person6_1, Person5_1, Person4_1, Person3_1, Person2_1,
			Person1_2, Person6_2, Person5_2, Person4_2, Person3_2, Person2_2,
			Sensor1, Sensor1_1, Sensor2, Sensor2_1, Sensor3, Sensor3_1,
			Sensor4, Sensor4_1, Sensor5, Sensor5_1, Sensor6, Sensor6_1,
			Dbase1, Dbase6, Dbase5, Dbase4, Dbase3, Dbase2
		}
	}
	
	\initial {
		Person1	 = 1;
		Person6	 = 0;
		Person5	 = 0;
		Person4	 = 0;
		Person3	 = 0;
		Person2	 = 0;
		Person1_1	 = 1;
		Person6_1	 = 0;
		Person5_1	 = 0;
		Person4_1	 = 0;
		Person3_1	 = 0;
		Person2_1	 = 0;
		Person1_2	 = 1;
		Person6_2	 = 0;
		Person5_2	 = 0;
		Person4_2	 = 0;
		Person3_2	 = 0;
		Person2_2	 = 0;
		Sensor1	 = 1;
		Sensor1_1	 = 0;
		Sensor2	 = 1;
		Sensor2_1	 = 0;
		Sensor3	 = 1;
		Sensor3_1	 = 0;
		Sensor4	 = 1;
		Sensor4_1	 = 0;
		Sensor5	 = 1;
		Sensor5_1	 = 0;
		Sensor6	 = 1;
		Sensor6_1	 = 0;
		Dbase1	 = 1;
		Dbase6	 = 0;
		Dbase5	 = 0;
		Dbase4	 = 0;
		Dbase3	 = 0;
		Dbase2	 = 0;
	}
	
	\transition{Person1_move2} {
		%% PEPA action type { move2 }
		\condition{ Person1 > 0 }
		\action {
			next -> Person1 = Person1 - 1;
			next -> Person2 = Person2 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person2_move1} {
		%% PEPA action type { move1 }
		\condition{ Person2 > 0 }
		\action {
			next -> Person2 = Person2 - 1;
			next -> Person1 = Person1 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person2_move3} {
		%% PEPA action type { move3 }
		\condition{ Person2 > 0 }
		\action {
			next -> Person2 = Person2 - 1;
			next -> Person3 = Person3 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person3_move2} {
		%% PEPA action type { move2 }
		\condition{ Person3 > 0 }
		\action {
			next -> Person3 = Person3 - 1;
			next -> Person2 = Person2 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person3_move4} {
		%% PEPA action type { move4 }
		\condition{ Person3 > 0 }
		\action {
			next -> Person3 = Person3 - 1;
			next -> Person4 = Person4 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person4_move3} {
		%% PEPA action type { move3 }
		\condition{ Person4 > 0 }
		\action {
			next -> Person4 = Person4 - 1;
			next -> Person3 = Person3 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person4_move5} {
		%% PEPA action type { move5 }
		\condition{ Person4 > 0 }
		\action {
			next -> Person4 = Person4 - 1;
			next -> Person5 = Person5 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person5_move4} {
		%% PEPA action type { move4 }
		\condition{ Person5 > 0 }
		\action {
			next -> Person5 = Person5 - 1;
			next -> Person4 = Person4 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person5_move6} {
		%% PEPA action type { move6 }
		\condition{ Person5 > 0 }
		\action {
			next -> Person5 = Person5 - 1;
			next -> Person6 = Person6 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person6_move5} {
		%% PEPA action type { move5 }
		\condition{ Person6 > 0 }
		\action {
			next -> Person6 = Person6 - 1;
			next -> Person5 = Person5 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person1_1_move2} {
		%% PEPA action type { move2 }
		\condition{ Person1_1 > 0 }
		\action {
			next -> Person1_1 = Person1_1 - 1;
			next -> Person2_1 = Person2_1 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person2_1_move1} {
		%% PEPA action type { move1 }
		\condition{ Person2_1 > 0 }
		\action {
			next -> Person2_1 = Person2_1 - 1;
			next -> Person1_1 = Person1_1 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person2_1_move3} {
		%% PEPA action type { move3 }
		\condition{ Person2_1 > 0 }
		\action {
			next -> Person2_1 = Person2_1 - 1;
			next -> Person3_1 = Person3_1 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person3_1_move2} {
		%% PEPA action type { move2 }
		\condition{ Person3_1 > 0 }
		\action {
			next -> Person3_1 = Person3_1 - 1;
			next -> Person2_1 = Person2_1 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person3_1_move4} {
		%% PEPA action type { move4 }
		\condition{ Person3_1 > 0 }
		\action {
			next -> Person3_1 = Person3_1 - 1;
			next -> Person4_1 = Person4_1 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person4_1_move3} {
		%% PEPA action type { move3 }
		\condition{ Person4_1 > 0 }
		\action {
			next -> Person4_1 = Person4_1 - 1;
			next -> Person3_1 = Person3_1 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person4_1_move5} {
		%% PEPA action type { move5 }
		\condition{ Person4_1 > 0 }
		\action {
			next -> Person4_1 = Person4_1 - 1;
			next -> Person5_1 = Person5_1 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person5_1_move4} {
		%% PEPA action type { move4 }
		\condition{ Person5_1 > 0 }
		\action {
			next -> Person5_1 = Person5_1 - 1;
			next -> Person4_1 = Person4_1 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person5_1_move6} {
		%% PEPA action type { move6 }
		\condition{ Person5_1 > 0 }
		\action {
			next -> Person5_1 = Person5_1 - 1;
			next -> Person6_1 = Person6_1 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person6_1_move5} {
		%% PEPA action type { move5 }
		\condition{ Person6_1 > 0 }
		\action {
			next -> Person6_1 = Person6_1 - 1;
			next -> Person5_1 = Person5_1 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person1_2_move2} {
		%% PEPA action type { move2 }
		\condition{ Person1_2 > 0 }
		\action {
			next -> Person1_2 = Person1_2 - 1;
			next -> Person2_2 = Person2_2 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person2_2_move1} {
		%% PEPA action type { move1 }
		\condition{ Person2_2 > 0 }
		\action {
			next -> Person2_2 = Person2_2 - 1;
			next -> Person1_2 = Person1_2 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person2_2_move3} {
		%% PEPA action type { move3 }
		\condition{ Person2_2 > 0 }
		\action {
			next -> Person2_2 = Person2_2 - 1;
			next -> Person3_2 = Person3_2 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person3_2_move2} {
		%% PEPA action type { move2 }
		\condition{ Person3_2 > 0 }
		\action {
			next -> Person3_2 = Person3_2 - 1;
			next -> Person2_2 = Person2_2 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person3_2_move4} {
		%% PEPA action type { move4 }
		\condition{ Person3_2 > 0 }
		\action {
			next -> Person3_2 = Person3_2 - 1;
			next -> Person4_2 = Person4_2 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person4_2_move3} {
		%% PEPA action type { move3 }
		\condition{ Person4_2 > 0 }
		\action {
			next -> Person4_2 = Person4_2 - 1;
			next -> Person3_2 = Person3_2 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person4_2_move5} {
		%% PEPA action type { move5 }
		\condition{ Person4_2 > 0 }
		\action {
			next -> Person4_2 = Person4_2 - 1;
			next -> Person5_2 = Person5_2 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person5_2_move4} {
		%% PEPA action type { move4 }
		\condition{ Person5_2 > 0 }
		\action {
			next -> Person5_2 = Person5_2 - 1;
			next -> Person4_2 = Person4_2 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person5_2_move6} {
		%% PEPA action type { move6 }
		\condition{ Person5_2 > 0 }
		\action {
			next -> Person5_2 = Person5_2 - 1;
			next -> Person6_2 = Person6_2 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person6_2_move5} {
		%% PEPA action type { move5 }
		\condition{ Person6_2 > 0 }
		\action {
			next -> Person6_2 = Person6_2 - 1;
			next -> Person5_2 = Person5_2 + 1;
		}
		\priority{1}
		\rate{ PEPA_m }
	}
	
	\transition{Person1_reg1__Sensor1_reg1} {
		%% PEPA action type { reg1 }
		\condition{ Person1 > 0 && Sensor1 > 0 }
		\action {
			next -> Sensor1 = Sensor1 - 1;
			next -> Sensor1_1 = Sensor1_1 + 1;
			next -> Person1 = Person1 + 0;
		}
		\priority{1}
		\rate{ PEPA_r }
	}
	
	\transition{Person1_1_reg1__Sensor1_reg1} {
		%% PEPA action type { reg1 }
		\condition{ Person1_1 > 0 && Sensor1 > 0 }
		\action {
			next -> Sensor1 = Sensor1 - 1;
			next -> Sensor1_1 = Sensor1_1 + 1;
			next -> Person1_1 = Person1_1 + 0;
		}
		\priority{1}
		\rate{ PEPA_r }
	}
	
	\transition{Person1_2_reg1__Sensor1_reg1} {
		%% PEPA action type { reg1 }
		\condition{ Person1_2 > 0 && Sensor1 > 0 }
		\action {
			next -> Sensor1 = Sensor1 - 1;
			next -> Sensor1_1 = Sensor1_1 + 1;
			next -> Person1_2 = Person1_2 + 0;
		}
		\priority{1}
		\rate{ PEPA_r }
	}
	
	\transition{Person2_reg2__Sensor2_reg2} {
		%% PEPA action type { reg2 }
		\condition{ Person2 > 0 && Sensor2 > 0 }
		\action {
			next -> Sensor2 = Sensor2 - 1;
			next -> Sensor2_1 = Sensor2_1 + 1;
			next -> Person2 = Person2 + 0;
		}
		\priority{1}
		\rate{ PEPA_r }
	}
	
	\transition{Person2_1_reg2__Sensor2_reg2} {
		%% PEPA action type { reg2 }
		\condition{ Person2_1 > 0 && Sensor2 > 0 }
		\action {
			next -> Sensor2 = Sensor2 - 1;
			next -> Sensor2_1 = Sensor2_1 + 1;
			next -> Person2_1 = Person2_1 + 0;
		}
		\priority{1}
		\rate{ PEPA_r }
	}
	
	\transition{Person2_2_reg2__Sensor2_reg2} {
		%% PEPA action type { reg2 }
		\condition{ Person2_2 > 0 && Sensor2 > 0 }
		\action {
			next -> Sensor2 = Sensor2 - 1;
			next -> Sensor2_1 = Sensor2_1 + 1;
			next -> Person2_2 = Person2_2 + 0;
		}
		\priority{1}
		\rate{ PEPA_r }
	}
	
	\transition{Person3_reg3__Sensor3_reg3} {
		%% PEPA action type { reg3 }
		\condition{ Person3 > 0 && Sensor3 > 0 }
		\action {
			next -> Sensor3 = Sensor3 - 1;
			next -> Sensor3_1 = Sensor3_1 + 1;
			next -> Person3 = Person3 + 0;
		}
		\priority{1}
		\rate{ PEPA_r }
	}
	
	\transition{Person3_1_reg3__Sensor3_reg3} {
		%% PEPA action type { reg3 }
		\condition{ Person3_1 > 0 && Sensor3 > 0 }
		\action {
			next -> Sensor3 = Sensor3 - 1;
			next -> Sensor3_1 = Sensor3_1 + 1;
			next -> Person3_1 = Person3_1 + 0;
		}
		\priority{1}
		\rate{ PEPA_r }
	}
	
	\transition{Person3_2_reg3__Sensor3_reg3} {
		%% PEPA action type { reg3 }
		\condition{ Person3_2 > 0 && Sensor3 > 0 }
		\action {
			next -> Sensor3 = Sensor3 - 1;
			next -> Sensor3_1 = Sensor3_1 + 1;
			next -> Person3_2 = Person3_2 + 0;
		}
		\priority{1}
		\rate{ PEPA_r }
	}
	
	\transition{Person4_reg4__Sensor4_reg4} {
		%% PEPA action type { reg4 }
		\condition{ Person4 > 0 && Sensor4 > 0 }
		\action {
			next -> Sensor4 = Sensor4 - 1;
			next -> Sensor4_1 = Sensor4_1 + 1;
			next -> Person4 = Person4 + 0;
		}
		\priority{1}
		\rate{ PEPA_r }
	}
	
	\transition{Person4_1_reg4__Sensor4_reg4} {
		%% PEPA action type { reg4 }
		\condition{ Person4_1 > 0 && Sensor4 > 0 }
		\action {
			next -> Sensor4 = Sensor4 - 1;
			next -> Sensor4_1 = Sensor4_1 + 1;
			next -> Person4_1 = Person4_1 + 0;
		}
		\priority{1}
		\rate{ PEPA_r }
	}
	
	\transition{Person4_2_reg4__Sensor4_reg4} {
		%% PEPA action type { reg4 }
		\condition{ Person4_2 > 0 && Sensor4 > 0 }
		\action {
			next -> Sensor4 = Sensor4 - 1;
			next -> Sensor4_1 = Sensor4_1 + 1;
			next -> Person4_2 = Person4_2 + 0;
		}
		\priority{1}
		\rate{ PEPA_r }
	}
	
	\transition{Person5_reg5__Sensor5_reg5} {
		%% PEPA action type { reg5 }
		\condition{ Person5 > 0 && Sensor5 > 0 }
		\action {
			next -> Sensor5 = Sensor5 - 1;
			next -> Sensor5_1 = Sensor5_1 + 1;
			next -> Person5 = Person5 + 0;
		}
		\priority{1}
		\rate{ PEPA_r }
	}
	
	\transition{Person5_1_reg5__Sensor5_reg5} {
		%% PEPA action type { reg5 }
		\condition{ Person5_1 > 0 && Sensor5 > 0 }
		\action {
			next -> Sensor5 = Sensor5 - 1;
			next -> Sensor5_1 = Sensor5_1 + 1;
			next -> Person5_1 = Person5_1 + 0;
		}
		\priority{1}
		\rate{ PEPA_r }
	}
	
	\transition{Person5_2_reg5__Sensor5_reg5} {
		%% PEPA action type { reg5 }
		\condition{ Person5_2 > 0 && Sensor5 > 0 }
		\action {
			next -> Sensor5 = Sensor5 - 1;
			next -> Sensor5_1 = Sensor5_1 + 1;
			next -> Person5_2 = Person5_2 + 0;
		}
		\priority{1}
		\rate{ PEPA_r }
	}
	
	\transition{Person6_reg6__Sensor6_reg6} {
		%% PEPA action type { reg6 }
		\condition{ Person6 > 0 && Sensor6 > 0 }
		\action {
			next -> Sensor6 = Sensor6 - 1;
			next -> Sensor6_1 = Sensor6_1 + 1;
			next -> Person6 = Person6 + 0;
		}
		\priority{1}
		\rate{ PEPA_r }
	}
	
	\transition{Person6_1_reg6__Sensor6_reg6} {
		%% PEPA action type { reg6 }
		\condition{ Person6_1 > 0 && Sensor6 > 0 }
		\action {
			next -> Sensor6 = Sensor6 - 1;
			next -> Sensor6_1 = Sensor6_1 + 1;
			next -> Person6_1 = Person6_1 + 0;
		}
		\priority{1}
		\rate{ PEPA_r }
	}
	
	\transition{Person6_2_reg6__Sensor6_reg6} {
		%% PEPA action type { reg6 }
		\condition{ Person6_2 > 0 && Sensor6 > 0 }
		\action {
			next -> Sensor6 = Sensor6 - 1;
			next -> Sensor6_1 = Sensor6_1 + 1;
			next -> Person6_2 = Person6_2 + 0;
		}
		\priority{1}
		\rate{ PEPA_r }
	}
	
	\transition{Sensor1_1_rep1__Dbase1_rep1} {
		%% PEPA action type { rep1 }
		\condition{ Sensor1_1 > 0 && Dbase1 > 0 }
		\action {
			next -> Dbase1 = Dbase1 + 0;
			next -> Sensor1_1 = Sensor1_1 - 1;
			next -> Sensor1 = Sensor1 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor1_1_rep1__Dbase2_rep1} {
		%% PEPA action type { rep1 }
		\condition{ Sensor1_1 > 0 && Dbase2 > 0 }
		\action {
			next -> Dbase2 = Dbase2 - 1;
			next -> Dbase1 = Dbase1 + 1;
			next -> Sensor1_1 = Sensor1_1 - 1;
			next -> Sensor1 = Sensor1 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor1_1_rep1__Dbase3_rep1} {
		%% PEPA action type { rep1 }
		\condition{ Sensor1_1 > 0 && Dbase3 > 0 }
		\action {
			next -> Dbase3 = Dbase3 - 1;
			next -> Dbase1 = Dbase1 + 1;
			next -> Sensor1_1 = Sensor1_1 - 1;
			next -> Sensor1 = Sensor1 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor1_1_rep1__Dbase4_rep1} {
		%% PEPA action type { rep1 }
		\condition{ Sensor1_1 > 0 && Dbase4 > 0 }
		\action {
			next -> Dbase4 = Dbase4 - 1;
			next -> Dbase1 = Dbase1 + 1;
			next -> Sensor1_1 = Sensor1_1 - 1;
			next -> Sensor1 = Sensor1 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor1_1_rep1__Dbase5_rep1} {
		%% PEPA action type { rep1 }
		\condition{ Sensor1_1 > 0 && Dbase5 > 0 }
		\action {
			next -> Dbase5 = Dbase5 - 1;
			next -> Dbase1 = Dbase1 + 1;
			next -> Sensor1_1 = Sensor1_1 - 1;
			next -> Sensor1 = Sensor1 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor1_1_rep1__Dbase6_rep1} {
		%% PEPA action type { rep1 }
		\condition{ Sensor1_1 > 0 && Dbase6 > 0 }
		\action {
			next -> Dbase6 = Dbase6 - 1;
			next -> Dbase1 = Dbase1 + 1;
			next -> Sensor1_1 = Sensor1_1 - 1;
			next -> Sensor1 = Sensor1 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor2_1_rep2__Dbase1_rep2} {
		%% PEPA action type { rep2 }
		\condition{ Sensor2_1 > 0 && Dbase1 > 0 }
		\action {
			next -> Dbase1 = Dbase1 - 1;
			next -> Dbase2 = Dbase2 + 1;
			next -> Sensor2_1 = Sensor2_1 - 1;
			next -> Sensor2 = Sensor2 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor2_1_rep2__Dbase2_rep2} {
		%% PEPA action type { rep2 }
		\condition{ Sensor2_1 > 0 && Dbase2 > 0 }
		\action {
			next -> Dbase2 = Dbase2 + 0;
			next -> Sensor2_1 = Sensor2_1 - 1;
			next -> Sensor2 = Sensor2 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor2_1_rep2__Dbase3_rep2} {
		%% PEPA action type { rep2 }
		\condition{ Sensor2_1 > 0 && Dbase3 > 0 }
		\action {
			next -> Dbase3 = Dbase3 - 1;
			next -> Dbase2 = Dbase2 + 1;
			next -> Sensor2_1 = Sensor2_1 - 1;
			next -> Sensor2 = Sensor2 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor2_1_rep2__Dbase4_rep2} {
		%% PEPA action type { rep2 }
		\condition{ Sensor2_1 > 0 && Dbase4 > 0 }
		\action {
			next -> Dbase4 = Dbase4 - 1;
			next -> Dbase2 = Dbase2 + 1;
			next -> Sensor2_1 = Sensor2_1 - 1;
			next -> Sensor2 = Sensor2 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor2_1_rep2__Dbase5_rep2} {
		%% PEPA action type { rep2 }
		\condition{ Sensor2_1 > 0 && Dbase5 > 0 }
		\action {
			next -> Dbase5 = Dbase5 - 1;
			next -> Dbase2 = Dbase2 + 1;
			next -> Sensor2_1 = Sensor2_1 - 1;
			next -> Sensor2 = Sensor2 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor2_1_rep2__Dbase6_rep2} {
		%% PEPA action type { rep2 }
		\condition{ Sensor2_1 > 0 && Dbase6 > 0 }
		\action {
			next -> Dbase6 = Dbase6 - 1;
			next -> Dbase2 = Dbase2 + 1;
			next -> Sensor2_1 = Sensor2_1 - 1;
			next -> Sensor2 = Sensor2 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor3_1_rep3__Dbase2_rep3} {
		%% PEPA action type { rep3 }
		\condition{ Sensor3_1 > 0 && Dbase2 > 0 }
		\action {
			next -> Dbase2 = Dbase2 - 1;
			next -> Dbase3 = Dbase3 + 1;
			next -> Sensor3_1 = Sensor3_1 - 1;
			next -> Sensor3 = Sensor3 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor3_1_rep3__Dbase3_rep3} {
		%% PEPA action type { rep3 }
		\condition{ Sensor3_1 > 0 && Dbase3 > 0 }
		\action {
			next -> Dbase3 = Dbase3 + 0;
			next -> Sensor3_1 = Sensor3_1 - 1;
			next -> Sensor3 = Sensor3 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor3_1_rep3__Dbase4_rep3} {
		%% PEPA action type { rep3 }
		\condition{ Sensor3_1 > 0 && Dbase4 > 0 }
		\action {
			next -> Dbase4 = Dbase4 - 1;
			next -> Dbase3 = Dbase3 + 1;
			next -> Sensor3_1 = Sensor3_1 - 1;
			next -> Sensor3 = Sensor3 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor3_1_rep3__Dbase5_rep3} {
		%% PEPA action type { rep3 }
		\condition{ Sensor3_1 > 0 && Dbase5 > 0 }
		\action {
			next -> Dbase5 = Dbase5 - 1;
			next -> Dbase3 = Dbase3 + 1;
			next -> Sensor3_1 = Sensor3_1 - 1;
			next -> Sensor3 = Sensor3 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor3_1_rep3__Dbase6_rep3} {
		%% PEPA action type { rep3 }
		\condition{ Sensor3_1 > 0 && Dbase6 > 0 }
		\action {
			next -> Dbase6 = Dbase6 - 1;
			next -> Dbase3 = Dbase3 + 1;
			next -> Sensor3_1 = Sensor3_1 - 1;
			next -> Sensor3 = Sensor3 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor3_1_rep3__Dbase1_rep3} {
		%% PEPA action type { rep3 }
		\condition{ Sensor3_1 > 0 && Dbase1 > 0 }
		\action {
			next -> Dbase1 = Dbase1 - 1;
			next -> Dbase3 = Dbase3 + 1;
			next -> Sensor3_1 = Sensor3_1 - 1;
			next -> Sensor3 = Sensor3 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor4_1_rep4__Dbase3_rep4} {
		%% PEPA action type { rep4 }
		\condition{ Sensor4_1 > 0 && Dbase3 > 0 }
		\action {
			next -> Dbase3 = Dbase3 - 1;
			next -> Dbase4 = Dbase4 + 1;
			next -> Sensor4_1 = Sensor4_1 - 1;
			next -> Sensor4 = Sensor4 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor4_1_rep4__Dbase4_rep4} {
		%% PEPA action type { rep4 }
		\condition{ Sensor4_1 > 0 && Dbase4 > 0 }
		\action {
			next -> Dbase4 = Dbase4 + 0;
			next -> Sensor4_1 = Sensor4_1 - 1;
			next -> Sensor4 = Sensor4 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor4_1_rep4__Dbase5_rep4} {
		%% PEPA action type { rep4 }
		\condition{ Sensor4_1 > 0 && Dbase5 > 0 }
		\action {
			next -> Dbase5 = Dbase5 - 1;
			next -> Dbase4 = Dbase4 + 1;
			next -> Sensor4_1 = Sensor4_1 - 1;
			next -> Sensor4 = Sensor4 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor4_1_rep4__Dbase6_rep4} {
		%% PEPA action type { rep4 }
		\condition{ Sensor4_1 > 0 && Dbase6 > 0 }
		\action {
			next -> Dbase6 = Dbase6 - 1;
			next -> Dbase4 = Dbase4 + 1;
			next -> Sensor4_1 = Sensor4_1 - 1;
			next -> Sensor4 = Sensor4 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor4_1_rep4__Dbase2_rep4} {
		%% PEPA action type { rep4 }
		\condition{ Sensor4_1 > 0 && Dbase2 > 0 }
		\action {
			next -> Dbase2 = Dbase2 - 1;
			next -> Dbase4 = Dbase4 + 1;
			next -> Sensor4_1 = Sensor4_1 - 1;
			next -> Sensor4 = Sensor4 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor4_1_rep4__Dbase1_rep4} {
		%% PEPA action type { rep4 }
		\condition{ Sensor4_1 > 0 && Dbase1 > 0 }
		\action {
			next -> Dbase1 = Dbase1 - 1;
			next -> Dbase4 = Dbase4 + 1;
			next -> Sensor4_1 = Sensor4_1 - 1;
			next -> Sensor4 = Sensor4 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor5_1_rep5__Dbase4_rep5} {
		%% PEPA action type { rep5 }
		\condition{ Sensor5_1 > 0 && Dbase4 > 0 }
		\action {
			next -> Dbase4 = Dbase4 - 1;
			next -> Dbase5 = Dbase5 + 1;
			next -> Sensor5_1 = Sensor5_1 - 1;
			next -> Sensor5 = Sensor5 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor5_1_rep5__Dbase5_rep5} {
		%% PEPA action type { rep5 }
		\condition{ Sensor5_1 > 0 && Dbase5 > 0 }
		\action {
			next -> Dbase5 = Dbase5 + 0;
			next -> Sensor5_1 = Sensor5_1 - 1;
			next -> Sensor5 = Sensor5 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor5_1_rep5__Dbase6_rep5} {
		%% PEPA action type { rep5 }
		\condition{ Sensor5_1 > 0 && Dbase6 > 0 }
		\action {
			next -> Dbase6 = Dbase6 - 1;
			next -> Dbase5 = Dbase5 + 1;
			next -> Sensor5_1 = Sensor5_1 - 1;
			next -> Sensor5 = Sensor5 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor5_1_rep5__Dbase3_rep5} {
		%% PEPA action type { rep5 }
		\condition{ Sensor5_1 > 0 && Dbase3 > 0 }
		\action {
			next -> Dbase3 = Dbase3 - 1;
			next -> Dbase5 = Dbase5 + 1;
			next -> Sensor5_1 = Sensor5_1 - 1;
			next -> Sensor5 = Sensor5 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor5_1_rep5__Dbase2_rep5} {
		%% PEPA action type { rep5 }
		\condition{ Sensor5_1 > 0 && Dbase2 > 0 }
		\action {
			next -> Dbase2 = Dbase2 - 1;
			next -> Dbase5 = Dbase5 + 1;
			next -> Sensor5_1 = Sensor5_1 - 1;
			next -> Sensor5 = Sensor5 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor5_1_rep5__Dbase1_rep5} {
		%% PEPA action type { rep5 }
		\condition{ Sensor5_1 > 0 && Dbase1 > 0 }
		\action {
			next -> Dbase1 = Dbase1 - 1;
			next -> Dbase5 = Dbase5 + 1;
			next -> Sensor5_1 = Sensor5_1 - 1;
			next -> Sensor5 = Sensor5 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor6_1_rep6__Dbase5_rep6} {
		%% PEPA action type { rep6 }
		\condition{ Sensor6_1 > 0 && Dbase5 > 0 }
		\action {
			next -> Dbase5 = Dbase5 - 1;
			next -> Dbase6 = Dbase6 + 1;
			next -> Sensor6_1 = Sensor6_1 - 1;
			next -> Sensor6 = Sensor6 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor6_1_rep6__Dbase6_rep6} {
		%% PEPA action type { rep6 }
		\condition{ Sensor6_1 > 0 && Dbase6 > 0 }
		\action {
			next -> Dbase6 = Dbase6 + 0;
			next -> Sensor6_1 = Sensor6_1 - 1;
			next -> Sensor6 = Sensor6 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor6_1_rep6__Dbase4_rep6} {
		%% PEPA action type { rep6 }
		\condition{ Sensor6_1 > 0 && Dbase4 > 0 }
		\action {
			next -> Dbase4 = Dbase4 - 1;
			next -> Dbase6 = Dbase6 + 1;
			next -> Sensor6_1 = Sensor6_1 - 1;
			next -> Sensor6 = Sensor6 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor6_1_rep6__Dbase3_rep6} {
		%% PEPA action type { rep6 }
		\condition{ Sensor6_1 > 0 && Dbase3 > 0 }
		\action {
			next -> Dbase3 = Dbase3 - 1;
			next -> Dbase6 = Dbase6 + 1;
			next -> Sensor6_1 = Sensor6_1 - 1;
			next -> Sensor6 = Sensor6 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor6_1_rep6__Dbase2_rep6} {
		%% PEPA action type { rep6 }
		\condition{ Sensor6_1 > 0 && Dbase2 > 0 }
		\action {
			next -> Dbase2 = Dbase2 - 1;
			next -> Dbase6 = Dbase6 + 1;
			next -> Sensor6_1 = Sensor6_1 - 1;
			next -> Sensor6 = Sensor6 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
	\transition{Sensor6_1_rep6__Dbase1_rep6} {
		%% PEPA action type { rep6 }
		\condition{ Sensor6_1 > 0 && Dbase1 > 0 }
		\action {
			next -> Dbase1 = Dbase1 - 1;
			next -> Dbase6 = Dbase6 + 1;
			next -> Sensor6_1 = Sensor6_1 - 1;
			next -> Sensor6 = Sensor6 + 1;
		}
		\priority{1}
		\rate{ PEPA_s }
	}
	
}

\solution{
  \method{sor}
}

\passage{

  \sourcecondition{ Person1 && Person1_1 && Person1_2 }
  \targetcondition{ Person6 || Person6_1 || Person6_2 }

%   \sourcecondition{ Person1 && Person1_1 && Person1_2 }
%   \targetcondition{ (!Person1 || !Person1_1 || !Person1_2) && Dbase1 }

  \t_start{1.0}
  \t_stop{100.0}
  \t_step{1.0}

%  \t_start{5.0}
%  \t_stop{150.0}
%  \t_step{5.0}

%  \t_start{0.5}
%  \t_stop{20.0}
%  \t_step{0.5}


}


