\model{

% courier protocol model woodside and li

\constant{nn}{1}
\constant{mm}{1}

\constant{r1}{(5000.0/0.57)/5000.0}
\constant{r2}{(5000.0/4.97)/5000.0}
\constant{r3}{(5000.0/1.09)/5000.0}
\constant{r4}{(5000.0/10.37)/5000.0}
\constant{r5}{(5000.0/4.29)/5000.0}
\constant{r6}{(5000.0/0.39)/5000.0}
\constant{r7}{(5000.0/0.68)/5000.0}
\constant{r8}{(5000.0/2.88)/5000.0}
\constant{r9}{(5000.0/3.45)/5000.0}
\constant{r10}{(5000.0/1.25)/5000.0}

%\constant{r1}{1.0}
%\constant{r2}{1.0}
%\constant{r3}{1.0}
%\constant{r4}{1.0}
%\constant{r5}{1.0}
%\constant{r6}{1.0}
%\constant{r7}{1.0}
%\constant{r8}{1.0}
%\constant{r9}{1.0}
%\constant{r10}{1.0}

\constant{q1}{1.0}
\constant{q2}{1.0}

% \helpvalue{int}{bob}{0; output()}

%\invariant{p12 <= 1}
%\invariant{p1 + p2 + p3 + p4 + p5 + p6 + p8 + p9 + p10 == 4}

\statevector{
  \type{short}{  p1,  p2,  p3,  p4,  p5,  p6,  p8,  p9, p10 }
  \type{short}{ p11, p12, p13, p14, p15, p16, p17, p18, p19 }
  \type{short}{ p20, p21, p22, p23, p24, p25, p26, p27, p28 }
  \type{short}{ p29, p30, p31, p32, p33, p34, p35, p36, p37 }
  \type{short}{ p38, p39, p40, p41, p42, p43, p44, p45, p46 }
}

\initial{
    p11 = p1 = p3 = p6 = p10 = 1;
    p14 = nn;
    p17 = mm - 1;
    p2 = p4 = p5 = p8 = p9 = p12 = p13 = p15 = p16 = p18 = p19 = p20 = 0;
    p21 = p22 = p23 = p24 = p25 = p26 = p27 = p28 = p29 = p30 = p31 = 0;
    p33 = p34 = p35 = p36 = p38 = p40 = p42 = p43 = p45 = 0;
    p32 = p37 = p39 = p41 = p44 = p46 = 1;
/*
    if ( (p11 > 0) && (p1 > 0) && (p3 > 0) &&
         (p6 > 0) && (p10 > 0) && (p14 == nn) &&
    (p17==mm - 1) && ( (p2 | p4 | p5| p8 | p9 | p12 | p13 |
    p15 | p16 | p18 | p19 | p20 | p21 | p22 | p23 | p24 | p25 | p26 |
    p27 | p28 | p29 | p30 | p31 | p33 | p34 | p35 | p36 | p38 | p40 |
    p42 | p43 | p45) == 0) && (p32 == 1) && (p37 == 1) && (p39 == 1)
    && (p41 == 1) && (p44 ==1) && (p46 == 1) )
	return 1;*/
/*	 p1 =  p3 =  p6 = p10 = p12 = p32 = p37 = p39 = p41 = p44 = p46 = 1;
         p2 =  p4 =  p5 =  p8 = p9  = p11 = p13 = p15 = p16 = p18 = p19 = 0;
	p20 = p21 = p22 = p23 = p24 = p25 = p26 = p27 = p28 = p29 = 0;
        p30 = p31 = p33 = p34 = p35 = p36 = p38 = p40 = p42 = p43 = p45 = 0;
	p14 = nn;
	p17 = mm;*/
}

\transition{t1}{
  \condition{p1 >  0}
  \action{next->p1 = p1 - 1; next->p2 = p2 + 1;}
  \rate{r7}
}

\transition{t2}{
  \condition{p2 > 0 && p3 > 0}
  \action{
    next->p2 = p2 - 1; next->p3 = p3 - 1;
    next->p1 = p1 + 1; next->p4 = p4 + 1;
  }
  \weight{1.0}
}

\transition{t3}{
  \condition{p4 > 0 && p6 > 0}
  \action{next->p4 = p4 - 1; next->p6 = p6 - 1;
          next->p3 = p3 + 1; next->p5 = p5 + 1;
  }
  \rate{r1}
}

\transition{t4}{
  \condition{p5 > 0}
  \action{next->p5 = p5 - 1; next->p8 = p8 + 1;}
  \rate{r2}
}

\transition{t5}{
  \condition{p8 > 0 && p10 > 0}
  \action{next->p8 = p8 - 1; next->p10 = p10 - 1;
          next->p6 = p6 + 1; next->p9 = p9 + 1;
  }
  \weight{1.0}
}

\transition{t6}{
  \condition{p9 > 0 && p12 > 0 && p17 > 0}
  \action{
    next->p9 = p9 - 1; next->p12 = p12 - 1; next->p17 = p17 - 1;
    next->p10 = p10 + 1; next->p11 = p11 + 1; }
  \rate{r1}
}

\transition{t7}{
  \condition{p11 > 0}
  \action{next->p11 = p11 - 1; next->p12 = p12 + 1; next->p13 = p13 + 1;}
  \rate{r8}
}

\transition{t8}{
  \condition{p12 > 0 && p13 > 0 && p14 > 0}
  \action{next->p12 = p12 - 1; next->p14 = p14 - 1; next->p15 = p15 + 1;}
  \weight{q1}
}

\transition{t9}{
  \condition{p12 > 0 && p13 > 0 && p14 > 0}
  \action{
    next->p12 = p12 - 1; next->p13 = p13 - 1; next->p14 = p14 - 1;
    next->p16 = p16 + 1;
  }
  \weight{q2}
}

\transition{t10}{
  \condition{p15 > 0}
  \action{next->p15 = p15 - 1; next->p12 = p12 + 1; next->p18 = p18 + 1;}
  \rate{r5}
}

\transition{t11}{
  \condition{p16 > 0}
  \action{next->p16 = p16 - 1; next->p12 = p12 + 1; next->p19 = p19 + 1;}
  \rate{r5}
}

\transition{t12}{
  \condition{p20 > 0}
  \action{next->p20 = p20 - 1; next->p14 = p14 + 1; next->p12 = p12 + 1;}
  \rate{r3}
}

\transition{t13}{
  \condition{p12 > 0 && p18 > 0}
  \action{next->p12 = p12 - 1; next->p18 = p18 - 1; next->p21 = p21 + 1;}
  \weight{1.0}
}

\transition{t14}{
  \condition{p12 > 0 && p19 > 0}
  \action{next->p12 = p12 - 1; next->p19 = p19 - 1; next->p22 = p22 + 1;}
  \weight{1.0}
}

\transition{t15}{
  \condition{p12 > 0 && p23 > 0}
  \action{next->p12 = p12 - 1; next->p23 = p23 - 1; next->p20 = p20 + 1;}
  \weight{1.0}
}

\transition{t16}{
  \condition{p21 > 0}
  \action{next->p21 = p21 - 1; next->p12 = p12 + 1; next->p24 = p24 + 1;}
  \rate{r6}
}

\transition{t17}{
  \condition{p22 > 0}
  \action{
    next->p22 = p22 - 1; next->p12 = p12 + 1; 
    next->p17 = p17 + 1; next->p25 = p25 + 1;}
  \rate{r6}
}

\transition{t18}{
  \condition{p26 > 0}
  \action{next->p26 = p26 - 1; next->p23 = p23 + 1;}
  \rate{r4}
}

\transition{t19}{
  \condition{p27 > 0}
  \action{next->p27 = p27 - 1; next->p32 = p32 + 1; next->p26 = p26 + 1;}
  \rate{r3}
}

\transition{t20}{
  \condition{p24 > 0}
  \action{next->p24 = p24 - 1; next->p28 = p28 + 1;}
  \rate{r4}
}

\transition{t21}{
  \condition{p25 > 0}
  \action{next->p25 = p25 - 1; next->p29 = p29 + 1;}
  \rate{r4}
}

\transition{t22}{
  \condition{p32 > 0 && p33 > 0}
  \action{next->p32 = p32 - 1; next->p33 = p33 - 1; next->p27 = p27 + 1;}
  \weight{1.0}
}

\transition{t23}{
  \condition{p32 > 0 && p28 > 0}
  \action{next->p32 = p32 - 1; next->p28 = p28 - 1; next->p30 = p30 + 1;}
  \weight{1.0}
}

\transition{t24}{
  \condition{p32 > 0 && p29 > 0}
  \action{next->p32 = p32 - 1; next->p29 = p29 - 1; next->p31 = p31 + 1;}
  \weight{1.0}
}

\transition{t25}{
  \condition{p30 > 0}
  \action{next->p30 = p30 - 1; next->p32 = p32 + 1; next->p33 = p33 + 1;}
  \rate{r5}
}

\transition{t26}{
  \condition{p31 > 0}
  \action{next->p31 = p31 - 1; next->p34 = p34 + 1; next->p32 = p32 + 1;}
  \rate{r5}
}

\transition{t27}{
  \condition{p34 > 0 && p32 > 0}
  \action{
    next->p34 = p34 - 1; next->p32 = p32 - 1;
    next->p33 = p33 + 1; next->p35 = p35 + 1;
  }	      
  \weight{1.0}
}

\transition{t28}{
  \condition{p35 > 0 && p37 > 0}
  \action{
    next->p35 = p35 - 1; next->p37 = p37 - 1; 
    next->p32 = p32 + 1; next->p36 = p36 + 1;
  }
  \rate{r9}
}

\transition{t29}{
  \condition{p36 > 0 && p39 > 0}
  \action{
    next->p36 = p36 - 1; next->p39 = p39 - 1;
    next->p38 = p38 + 1; next->p37 = p37 + 1;
  }
  \weight{1.0}
}

\transition{t30}{
  \condition{p41 > 0 && p38 > 0}
  \action{
    next->p41 = p41 - 1; next->p38 = p38 - 1;
    next->p39 = p39 + 1; next->p40 = p40 + 1;
  }
  \rate{r1}
}

\transition{t31}{
  \condition{p40 > 0}
  \action{next->p40 = p40 - 1; next->p42 = p42 + 1;}
  \rate{r2}
}

\transition{t32}{
  \condition{p42 > 0 && p44 > 0}
  \action{
    next->p42 = p42 - 1; next->p44 = p44 - 1;
    next->p43 = p43 + 1; next->p41 = p41 + 1;
  }
  \weight{1.0}
}

\transition{t33}{
  \condition{p43 > 0 && p46 > 0}
  \action{
    next->p43 = p43 - 1; next->p46 = p46 - 1;
    next->p44 = p44 + 1; next->p45 = p45 + 1;
  }
  \rate{r1}
}

\transition{t34}{
  \condition{p45 > 0}
  \action{next->p45 = p45 - 1; next->p46 = p46 + 1;}
  \rate{r10}
}

}

\performance {
  \countmeasure{lambda}{
    \estimator{mean}
    \transition{t21} 
  }

  \statemeasure{psend}{
    \estimator{mean variance distribution}
    \expression{p1}
  }

  \statemeasure{precv}{
    \estimator{mean variance distribution}
    \expression{p46}
  }

  \statemeasure{psess1}{
    \estimator{mean variance distribution}
    \expression{p6}
  }

  \statemeasure{psess2}{
    \estimator{mean variance distribution}
    \expression{p41}
  }

  \statemeasure{ptransp1}{
    \estimator{mean variance distribution}
    \expression{p12}
  }

  \statemeasure{ptransp2}{
    \estimator{mean variance distribution}
    \expression{p32}
  }


}


\solution{
  \method{sor}
}

\passage{
  \targetcondition{ (p20 > 0) }
  \sourcecondition{ (p11 > 0) }

%  \weight{
%    return (p11 > 0);
%/*
%    if ( (p11 > 0) && (p1 > 0) && (p3 > 0) &&
%         (p6 > 0) && (p10 > 0) && (p14 == nn) &&
%    (p17==mm - 1) && ( (p2 | p4 | p5| p8 | p9 | p12 | p13 |
%    p15 | p16 | p18 | p19 | p20 | p21 | p22 | p23 | p24 | p25 | p26 |
%    p27 | p28 | p29 | p30 | p31 | p33 | p34 | p35 | p36 | p38 | p40 |
%    p42 | p43 | p45) == 0) && (p32 == 1) && (p37 == 1) && (p39 == 1)
%    && (p41 == 1) && (p44 ==1) && (p46 == 1) )
%	return 1;
%    return 0; */
%  }

\t_start{0.1}
\t_stop{80.0}
\t_step{0.1}


}


