
complex<double> exponential(double __lambda, complex<double> __s) {
    return __lambda/(__lambda+__s); 
}

complex<double> uniform(double __a, double __b, complex<double> __s) {
      complex<double> one(1.0,0.0);
    if(fabs(__s.real())<1e-16 && fabs(__s.imag()) < 1e-16)
      return one;
    complex<double> __term1 = exp(-__a*__s);
    complex<double> __term2 = exp(-__b*__s);
    complex<double> __result = (__term1-__term2)/((__b-__a)*__s);
    return __result;
} 

complex<double> erlang(double __lambda, int __n, complex<double> __s) {
/*  complex<double> term = exponential(lambda, s);
    complex<double> result = term;
    for(int i=1; i<n; i++) result *= term;
*/
    complex<double> __term = exponential(__lambda, __s);
    complex<double> __result = pow(__term, __n);
    return __result;
}

complex<double> gamma(double __lambda, double __n, complex<double> __s) {
    complex<double> __term = exponential(__lambda, __s);
    complex<double> __result = pow(__term, __n);
    return __result;
}

complex<double> deterministic(double __d, complex<double> __s) {
    return exp(-__d*__s);
}

complex<double> immediate() { return complex<double>(1.0,0.0); }


