////////////////////////////////////////////////////////////////////
// WMCA Markov Chain Analyser        (C) 1995 William Knottenbelt //
////////////////////////////////////////////////////////////////////
//            Data Network Architectures Laboratory               //
//               Department of Computer Science                   //
//                   University of Cape Town                      //
//                       Rondebosch 7700                          //
//                        SOUTH AFRICA                            //
////////////////////////////////////////////////////////////////////
// email: william@cs.uct.ac.za             phone: +27 21 650 2670 //
////////////////////////////////////////////////////////////////////

//#define SILENT
//#define VERBOSE

using namespace std;

#include <iostream>
#include <cassert>
#include <cstdio>
#include <cmath>
#include <complex>
#include "common.hpp"
#include "dyna.cxx"
#include "element.hpp"
#include "hash.hpp"
#include "cluster.hpp"
#include "vector.cxx"
#include "store.hpp"
#include "avl.hpp"
#include "sparse-nocomplex.hpp"
#include "path.hpp"
#ifdef BDD
#include "list.cxx"
#endif

class LocalParameters {
public:
  long v,w;
  int t;
};

class Node;
class FullState;
class Transition;
class Constant;
class HelpValue;
class Invariant;
class StateMeasure;
class CountMeasure;

template class FastDynaArray<int>;
template class FastDynaArray<long>;
template class FastDynaArray<unsigned long>;
template class FastDynaArray<double *>;
template class FastDynaArray<char>;
template class FastDynaArray<char *>;
template class FastDynaArray<FullState *>;
template class FastDynaArray<Transition *>;
template class FastDynaArray<Constant *>;
template class FastDynaArray<Invariant *>;
template class FastDynaArray<HelpValue *>;
template class FastDynaArray<StateMeasure *>;
template class FastDynaArray<CountMeasure *>;
template class FastDynaArray<HashTableEntry>;
template class FastDynaArray<StateHashTableRow>;
template class FastDynaArray<StateMatrixElement>;

template class FastDynaArray<LocalParameters>;
//template class FastDynaArray<BitField>;
template class FastDynaArray<Node *>;

//#ifdef SPARSEROW

template class FastDynaArray<SteadyStateRowElement>;
template class FastDynaArray<SparseMatrixRow>;

//#endif

//#ifdef SPARSECOL
template class FastDynaArray<SteadyStateColElement>;
template class FastDynaArray<SparseMatrixCol>;
//#endif

template class FastDynaArray<ClusterStackItem>;

#ifdef BDD
class BDDNode;
template class LinkList<BDDNode *>;
template class ListIterator<BDDNode *>;
template class FastDynaArray<BDDNode *>;
#endif

template class FastDynaArray<double>;
//template class FastDynaArray<_real_>;
template class FastDynaArray<_complex_>;
template class FastDynaArray<_complex_ *>;
template class Vector<double>;
template class Vector<int>;
template class FastDynaArray<Path>;

//template ostream &operator<<(ostream &, FastDynaArray<double>);



